Attribute VB_Name = "Declarations"
Option Explicit

Type POINTAPI
    X As Long
    Y As Long
End Type

Declare Function CreatePolygonRgn Lib "gdi32" (lpPoint As POINTAPI, ByVal nCount As Long, ByVal nPolyFillMode As Long) As Long
Declare Function CreateFont Lib "gdi32" Alias "CreateFontA" (ByVal H As Long, ByVal W As Long, ByVal E As Long, ByVal O As Long, ByVal W As Long, ByVal i As Long, ByVal u As Long, ByVal S As Long, ByVal c As Long, ByVal OP As Long, ByVal CP As Long, ByVal Q As Long, ByVal PAF As Long, ByVal F As String) As Long
Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Boolean) As Long
Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long

Declare Sub Bind Lib "clientdll" (ByVal NetworkAddress As String, ByVal EndPoint As String)
Declare Sub UnBind Lib "clientdll" ()
Declare Sub SendString Lib "clientdll" (ByVal pszString As String)
Declare Sub ExecuteMessage Lib "clientdll" (ByVal pszString As String, ByVal Command As Long)
Declare Sub ExecuteStringMessage Lib "clientdll" (ByVal pszString As String, ByVal Command As Long)
Declare Function StringResult Lib "clientdll" (ByVal pszString As String, ByVal Command As Long, ByVal Data As Long) As Long
Declare Function IntegerResult Lib "clientdll" (ByVal pszString As String, ByVal Command As Long, ByVal Data As Long) As Long
Declare Sub Shutdown Lib "clientdll" ()

Public Section1 As Boolean, Section2 As Boolean
Public Section3 As Boolean, Section4 As Boolean
Public DefSection As Integer

Public Const ALTERNATE = 1
Public Const WINDING = 2
Public Const CLIP_LH_ANGLES = 16
Public Const PI = 3.14159625
Public Const PI_180 = PI / 180#

Public Const MAX_PATH = 260
Public Const WM_USER = &H400

Public Const MAX_WINAMPVER_LEN = 80
Public Const FAIL_TIMEOUT = 15   ' seconds

Public Const WM_WA_IPC = WM_USER

Public Const IPC_GETVERSION = 0
Public Const IPC_PLAYFILE = 100
Public Const IPC_DELETE = 101
Public Const IPC_STARTPLAY = 102
Public Const IPC_CHDIR = 103
Public Const IPC_ISPLAYING = 104
Public Const IPC_GETOUTPUTTIME = 105
Public Const IPC_JUMPTOTIME = 106
Public Const IPC_WRITEPLAYLIST = 120
Public Const IPC_SETPLAYLISTPOS = 121
Public Const IPC_SETVOLUME = 122
Public Const IPC_SETPANNING = 123
Public Const IPC_GETLISTLENGTH = 124

Public Const IPC_GETLISTPOS = 125
Public Const IPC_GETINFO = 126
Public Const IPC_GETEQDATA = 127
Public Const IPC_SETEQDATA = 128

Public Const IPC_GETPLAYLISTFILE = 211
Public Const IPC_GETPLAYLISTTITLE = 212
Public Const IPC_GETSHUFFLEOPTION = 250
Public Const IPC_GETREPEATOPTION = 251
Public Const IPC_SETSHUFFLEOPTION = 252
Public Const IPC_SETREPEATOPTION = 253

Public Const WINAMP_FILE_QUIT = 40001
Public Const WINAMP_OPTIONS_PREFS = 40012
Public Const WINAMP_OPTIONS_AOT = 40019
Public Const WINAMP_FILE_REPEAT = 40022
Public Const WINAMP_FILE_SHUFFLE = 40023
Public Const WINAMP_HIGH_PRIORITY = 40025
Public Const WINAMP_FILE_PLAY = 40029
Public Const WINAMP_OPTIONS_EQ = 40036
Public Const WINAMP_HELP_ABOUT = 40041
Public Const WINAMP_OPTIONS_PLEDIT = 40040
Public Const WINAMP_VOLUMEUP = 40058
Public Const WINAMP_VOLUMEDOWN = 40059
Public Const WINAMP_FFWD5S = 40060
Public Const WINAMP_REW5S = 40061

Public Const WINAMP_BUTTON1 = 40044
Public Const WINAMP_BUTTON2 = 40045
Public Const WINAMP_BUTTON3 = 40046
Public Const WINAMP_BUTTON4 = 40047
Public Const WINAMP_BUTTON5 = 40048
Public Const WINAMP_BUTTON1_SHIFT = 40144
Public Const WINAMP_BUTTON2_SHIFT = 40145
Public Const WINAMP_BUTTON3_SHIFT = 40146
Public Const WINAMP_BUTTON4_SHIFT = 40147
Public Const WINAMP_BUTTON5_SHIFT = 40148
Public Const WINAMP_BUTTON1_CTRL = 40154
Public Const WINAMP_BUTTON2_CTRL = 40155
Public Const WINAMP_BUTTON3_CTRL = 40156
Public Const WINAMP_BUTTON4_CTRL = 40157
Public Const WINAMP_BUTTON5_CTRL = 40158

' for convenience...
Public Const WINAMP_PREVIOUS = WINAMP_BUTTON1
Public Const WINAMP_PLAYENTRY = WINAMP_BUTTON2
Public Const WINAMP_PAUSE = WINAMP_BUTTON3
Public Const WINAMP_STOP = WINAMP_BUTTON4
Public Const WINAMP_NEXT = WINAMP_BUTTON5

Public Const WINAMP_BACK5S = WINAMP_BUTTON1_SHIFT
Public Const WINAMP_OPENFILE = WINAMP_BUTTON2_SHIFT
'Public   Const ?? WINAMP_BUTTON3_SHIFT
Public Const WINAMP_STOPFADE = WINAMP_BUTTON4_SHIFT
Public Const WINAMP_FORWARD5S = WINAMP_BUTTON5_SHIFT

Public Const WINAMP_STARTOFPLAYLIST = WINAMP_BUTTON1_CTRL
Public Const WINAMP_OPENLOCATION = WINAMP_BUTTON2_CTRL
'Public   Const ?? WINAMP_BUTTON3_CTRL
Public Const WINAMP_STOPAFTERCURRENT = WINAMP_BUTTON4_CTRL
Public Const WINAMP_ENDOFPLAYLIST = WINAMP_BUTTON5_CTRL

Public Const IDC_SORT_FILENAME = 40166
Public Const IDC_SORT_FILETITLE = 40167
Public Const IDC_SORT_ENTIREFILENAME = 40168
Public Const IDC_SELECTALL = 40169
Public Const IDC_SELECTNONE = 40170
Public Const IDC_SELECTINV = 40171

Public Const IDM_EQ_LOADPRE = 40172
Public Const IDM_EQ_LOADMP3 = 40173
Public Const IDM_EQ_LOADDEFAULT = 40174
Public Const IDM_EQ_SAVEPRE = 40175
Public Const IDM_EQ_SAVEMP3 = 40176
Public Const IDM_EQ_SAVEDEFAULT = 40177
Public Const IDM_EQ_DELPRE = 40178
Public Const IDM_EQ_DELMP3 = 40180

Public Const WINAMP_RUNCURRENTPLUGIN = 40192
Public Const WINAMP_JUMP = 40193
Public Const WINAMP_JUMPFILE = 40194
Public Const WINAMP_JUMP10FWD = 40195
Public Const WINAMP_JUMP10BACK = 40197
Public Const WINAMP_PREVSONG = 40198

